Commit 94afc741 authored by Andrey Yurovsky's avatar Andrey Yurovsky Committed by Thomas Petazzoni
Browse files

isl: bump to version 0.18



Now that we no longer support Graphite optimizations in gcc 4.9 (which
required ISL 0.14.1), we can bump ISL to a newer version, which allows
to support Graphite optimizations in GCC >= 5.x.

The comment about the version being limited to 0.14.1 because of cloog
is no longer relevant, so it is removed.

Our libtool patch now applies properly, so we can remove
ISL_LIBTOOL_PATCH = NO.

Signed-off-by: default avatarAndrey Yurovsky <yurovsky@gmail.com>
[Thomas:
 - remove ISL_LIBTOOL_PATCH = NO
 - improved commit log]
Signed-off-by: default avatarThomas Petazzoni <thomas.petazzoni@free-electrons.com>
parent d16b6bf9
# Locally computed
sha256 8882c9e36549fc757efa267706a9af733bb8d7fe3905cbfde43e17a89eea4675 isl-0.14.1.tar.xz
sha256 0f35051cc030b87c673ac1f187de40e386a1482a0cfdf2c552dd6031b307ddc4 isl-0.18.tar.xz
......@@ -4,18 +4,11 @@
#
################################################################################
# The latest 0.15 version is not yet compatible with cloog 0.18.3, so
# bumping isl is not possible until a new version of cloog is
# published.
ISL_VERSION = 0.14.1
ISL_VERSION = 0.18
ISL_SOURCE = isl-$(ISL_VERSION).tar.xz
ISL_SITE = http://isl.gforge.inria.fr
ISL_LICENSE = MIT
ISL_LICENSE_FILES = LICENSE
HOST_ISL_DEPENDENCIES = host-gmp
# Our libtool patch doesn't apply, and since this package is only
# built for the host, we don't really care about it.
ISL_LIBTOOL_PATCH = NO
$(eval $(host-autotools-package))
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment